import request from '@/utils/request'

// 查询分离培训内容列表
export function listFlContent(query) {
  return request({
    url: '/bccnew/flContent/list',
    method: 'get',
    params: query
  })
}

// 查询分离培训内容详细
export function getFlContent(id) {
  return request({
    url: '/bccnew/flContent/' + id,
    method: 'get'
  })
}

// 新增分离培训内容
export function addFlContent(data) {
  return request({
    url: '/bccnew/flContent',
    method: 'post',
    data: data
  })
}

// 修改分离培训内容
export function updateFlContent(data) {
  return request({
    url: '/bccnew/flContent',
    method: 'put',
    data: data
  })
}

// 删除分离培训内容
export function delFlContent(id) {
  return request({
    url: '/bccnew/flContent/' + id,
    method: 'delete'
  })
}

// 导出分离培训内容
export function exportFlContent(query) {
  return request({
    url: '/bccnew/flContent/export',
    method: 'get',
    params: query
  })
}